import Vue from "vue";
import iView from "iview";
import { router } from "./router/index";
import store from "./store";
import App from "./app.vue";
import "./libs/filter";
// doc: https://fontawesome.com.cn/v4/icons
import "font-awesome/css/font-awesome.css";
import "./assets/styles/index.less";

Vue.use(iView);
Vue.config.productionTip = false;
store.dispatch("initLocalUserStore");

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
